Subject: Re: bug#60407: [PATCH] Update go-ts-mode to use Imenu facility

From: Randy Taylor <[email-masked]>
Date: Sun, 01 Jan 2023 22:31:31 +0000

On Sunday, January 1st, 2023 at 12:08, Evgeni Kolev <[email-masked]> wrote:
> 
> As I mentioned in the start of the mail thread - go-ts-mode's Imenu
> puts Go interfaces and structs in the same "Type" bucket. This can be
> improved in go-ts-mode.
> 
> I'm providing a second patch below which splits the interfaces and
> structs into their own Imenu categories.
> 
> Please let me know if I should provide the second patch later, in a
> separate thread, after the first patch is finished. I'm assuming it's
> simpler to review the patches together. If it's not - I'll provide
> them in a way to make the review easier, just let me know.
>

Hi Evgeni!

Thanks for working on this, and apologies for the delay.

The patches look good to me and work well, except for one issue (and a few minor nits) mentioned below. All in one patch is probably best.

- Type definitions are no longer captured. For example:
type Quack int
Does not show up anymore.
- go-ts-mode--struct-node-p's docstring is missing a period at the end.
- In go-ts-mode--interface-node-p and go-ts-mode--struct-node-p's docstrings, I'm not sure it's worthwhile to mention "Go". Just interface and struct should be fine.
- Should the commit message mention changes to go-ts-mode (as in the actual define-derived-mode mode part)?